<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <title>DMarket History Exporter</title>
    <!-- https://electronjs.org/docs/tutorial/security#csp-meta-tag -->
    <meta
      http-equiv="Content-Security-Policy"
      content="script-src 'self' 'unsafe-inline';"
    />
    <!-- Bootstrap CSS -->
    <link
      rel="stylesheet"
      href="./node_modules/bootstrap/dist/css/bootstrap.min.css"
    />
    <link rel="stylesheet" href="./styles.css" />
    <script>
      window.$ = window.jQuery = require("jquery");
    </script>
    <script>
      require("popper.js");
    </script>
    <script>
      require("bootstrap");
    </script>
    <script src="renderer.js"></script>
  </head>
  <body>
    <main>
      <div
        id="toast"
        role="alert"
        aria-live="assertive"
        aria-atomic="true"
        class="alert alert-danger toast"
        data-autohide="true"
      >
        <div class="toast-body" id="toastContent"></div>
      </div>
      <form>
        <div class="formGroup">
          <label for="token">Authorization token</label>
          <input type="text" class="form-control" id="token" placeholder="" />
        </div>
        <div class="formGroup">
          <label for="exportPath">Export path</label>
          <div class="input-group mb-3" id="folder-input-group">
            <input
              type="text"
              id="folder"
              class="form-control"
              aria-describedby="basic-addon2"
            />
            <div class="input-group-append">
              <button
                class="btn btn-outline-primary"
                id="chooseFolder"
                type="button"
              >
                Browse
              </button>
            </div>
          </div>
        </div>
        <div class="formGroup">
          <label for="limit">Limit</label>
          <input type="number" class="form-control" id="limit" />
        </div>
        <div class="formGroup">
          <button type="button" class="btn btn-primary" id="export">
            Export
          </button>
        </div>
      </form>
    </main>
  </body>
</html>
